/bank_account

Get active bank accounts

Returns all bank accounts active at the given timestamp

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Query Parameters

NameTypeRequiredDescription
atinteger:int64YesUnix timestamp
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/bank_account?at=1' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
array<app.BankAccount>application/json
Example
[
  {
    "account_holder_name": "string",
    "active_since": 123,
    "active_until": 123,
    "bank_name": "string",
    "bic": "string",
    "date_created": 123,
    "date_modified": 123,
    "iban": "string",
    "id": 123,
    "is_primary": true,
    "label": "string",
    "parent": {...},
    "parent_id": 123
  }
]
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}